Bug 1489164 - Fedora 27 Beta backgrounds must be different from Fedora 26
Summary: Fedora 27 Beta backgrounds must be different from Fedora 26
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
: 1493986 (view as bug list)
Depends On: 1489160
Blocks: F27BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-09-06 20:44 UTC by Adam Williamson
Modified: 2017-09-25 18:06 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-25 18:06:14 UTC


Attachments (Terms of Use)
png file that shows the F27 background is not usable in Plasma for some reason (496.04 KB, image/png)
2017-09-19 17:07 UTC, Scott Dowdle
no flags Details
journalctl from netinst (226.53 KB, text/plain)
2017-09-20 14:45 UTC, František Zatloukal
no flags Details

Description Adam Williamson 2017-09-06 20:44:53 UTC
Currently, the backgrounds for Fedora 27 composes - including the release-blocking Workstation and KDE images - are the same as Fedora 26:

https://openqa.stg.fedoraproject.org/tests/153927#step/_graphical_wait_login/12
https://openqa.stg.fedoraproject.org/tests/153944#step/_graphical_wait_login/9
https://fedoraproject.org/wiki/F26_Artwork

This violates the Alpha release criterion "The default desktop background must be different from that of the last two stable releases" - https://fedoraproject.org/wiki/Fedora_27_Alpha_Release_Criteria#Desktop_background - thus proposing this as an F27 Beta blocker.

There is a review request in for the new f27-backgrounds package:
https://bugzilla.redhat.com/show_bug.cgi?id=1489160

which I will make this bug depend on. But there are some associated changes usually needed, the details of which I always have to figure out again - somethingsomething comps, somethingsomething kickstarts (possibly), and I think somethingsomething desktop-backgrounds.

It seems that still no-one stepped up to make the packaging situation here a bit less silly, and I don't *think* anyone wrote down exactly what steps need to happen every release with the current packaging system. :(

Comment 1 Kevin Fenzi 2017-09-06 22:25:01 UTC
(In reply to Adam Williamson from comment #0)
...snip...
> It seems that still no-one stepped up to make the packaging situation here a
> bit less silly, and I don't *think* anyone wrote down exactly what steps
> need to happen every release with the current packaging system. :(

Sorry. I said I could do it, then never got down to it in my todo list. ;(

Comment 2 Kamil Páral 2017-09-11 16:37:20 UTC
Discussed during blocker review [1]:

AcceptedBlocker (Beta) - clearly violates Alpha criterion "The default desktop background must be different from that of the last two stable releases."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-09-11/

Comment 3 Adam Williamson 2017-09-12 01:42:50 UTC
There is now an update for the f27-backgrounds package and the desktop-backgrounds changes:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-fee0766883

but we still need to figure out any other changes needed to ensure GNOME, KDE and Xfce get the new background.

Comment 4 Adam Williamson 2017-09-18 23:16:44 UTC
So, as of Fedora-27-20170918.n.0, GNOME is OK:

https://openqa.fedoraproject.org/tests/143698

but KDE isn't:

https://openqa.fedoraproject.org/tests/143715

Note the old desktop still in several of those screenshots. Clearly KDE needs some kinda change.

Comment 5 Scott Dowdle 2017-09-19 17:07 UTC
Created attachment 1328067 [details]
png file that shows the F27 background is not usable in Plasma for some reason

See the "no" symbol in the top right corner when the image is hovered over.  There are two F27 thumbnails in the shot because I tried it twice but neither is selectable.

Comment 6 Scott Dowdle 2017-09-19 17:08:49 UTC
(In reply to Scott Dowdle from comment #5)
> See the "no" symbol in the top right corner when the image is hovered over. 
> There are two F27 thumbnails in the shot because I tried it twice but
> neither is selectable.

That was with me manually browsing to it and trying to add it.  It doesn't automatically show up which is what you want the result to be.

Comment 7 Kamil Páral 2017-09-19 17:51:14 UTC
Adding rdieter and jgrulich to CC.

Rex, Jan, is this something you can help with? See comment 4 and later. Thanks!

Comment 8 Fedora Update System 2017-09-20 09:11:58 UTC
kde-settings-26-1.fc27.2 f27-backgrounds-27.0.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37396d0ab9

Comment 9 Jan Grulich 2017-09-20 09:13:55 UTC
I updated kde-settings and f27-backgrounds for Fedora 27. Hopefully this will make it all work. We will need to also update kde-settings tarball in pagure or where this is hosted and generate a new tarball, but for now just the build I pushed with a patch should be enough.

Comment 10 František Zatloukal 2017-09-20 13:28:19 UTC
Jan, I've installed the Latest KDE Compose, updated all packages in https://bodhi.fedoraproject.org/updates/FEDORA-2017-37396d0ab9 and wallpaper is still identical to the one in F26.

kde-settings-26-1.fc27.2.noarch
f27-backgrounds-27.0.0-3.fc27.noarch

Comment 11 Jan Grulich 2017-09-20 13:33:50 UTC
Have you tried with a new user? It won't make it work for existing configuration.

Comment 12 František Zatloukal 2017-09-20 13:43:15 UTC
Yes, wallpaper is still from F26 even for user created after updating the packages and rebooting.

Comment 13 Jan Grulich 2017-09-20 14:06:17 UTC
Ok, I will have to try it myself tomorrow.

Comment 14 František Zatloukal 2017-09-20 14:44:47 UTC
I've tried installing from netinst with localrepo for bodhi packages; result was no wallpaper at all (black background).

f27-backgrounds-kde-27.0.0-3.fc27.noarch
f27-backgrounds-27.0.0-3.fc27.noarch was *NOT* installed by default.

Comment 15 František Zatloukal 2017-09-20 14:45 UTC
Created attachment 1328482 [details]
journalctl from netinst

Comment 16 Fedora Update System 2017-09-20 15:21:39 UTC
f27-backgrounds-27.0.0-3.fc27, kde-settings-26-1.fc27.2 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37396d0ab9

Comment 17 Jan Grulich 2017-09-20 15:23:20 UTC
Please, try it with this new build https://koji.fedoraproject.org/koji/taskinfo?taskID=21984796. Unfortunately bodhi doesn't allow me to modify the update at this moment, probably because it's being pushed to testing.

Comment 18 Fedora Update System 2017-09-21 04:56:01 UTC
f27-backgrounds-27.0.0-4.fc27 kde-settings-26-1.fc27.2 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37396d0ab9

Comment 19 František Zatloukal 2017-09-21 07:15:02 UTC
Fix confirmed on KDE. Even for existing users.

Comment 20 Jan Grulich 2017-09-21 09:36:56 UTC
*** Bug 1493986 has been marked as a duplicate of this bug. ***

Comment 21 sumantro 2017-09-21 10:32:59 UTC
Fix works , hoping to test it on a nightly compose.

Comment 22 sumantro 2017-09-21 16:19:58 UTC
Fedora-27-20170921.n.0 KDE live still has the old F26 graphics

Comment 23 Kamil Páral 2017-09-21 16:22:42 UTC
That's correct, it wasn't pushed stable before 20170921 was started. It should be included in 20170922 or RC1.

Comment 24 Adam Williamson 2017-09-21 17:46:01 UTC
sumantro: quick tip - you can browse through the compose tree in kojipkgs to see which versions of the relevant packages the compose included. Look under Everything/(arch)/os/Packages/ .

Comment 25 Petr Schindler 2017-09-22 13:57:09 UTC
The new backgrounds are used on KDE in RC2 live and on installed system.

Comment 26 sumantro 2017-09-24 17:16:08 UTC
SoAS have the new background for ARM and 86_64 both

Comment 27 Fedora Update System 2017-09-25 18:06:14 UTC
f27-backgrounds-27.0.0-5.fc27, kde-settings-27-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.